#ifndef _SIP_TRANSACTION__H
#define	_SIP_TRANSACTION_H

void sip_transaction_proc(WORD transid);
void sip_trans_init(WORD trans_id);
WORD sip_request_match_server_trans(SIP_API_STRUCT *recvMsg);
WORD sip_response_match_client_trans(SIP_API_STRUCT *recvMsg);
int sip_set_trans_send_cmd(SIP_TRANSACTION *trans, SIP_API_STRUCT *sipApiMsg);
int sip_msg_transport_to_transaction(SIP_API_STRUCT *recvMsg, WORD transId);

#endif
